MCP Reference: databasecenter.googleapis.com

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

Database Center API for MCP

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The databasecenter.googleapis.com MCP server has the following MCP endpoint:

  • https://databasecenter.googleapis.com/mcp

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

The databasecenter.googleapis.com MCP server has the following tools:

MCP Tools
list_products Provides a list of all possible database products which can be used to filter database resources.
list_fleet_inventory This tool retrieves aggregated statistics and inventory information about the database resources. It can group the results by various dimensions like product type, engine, location, etc. This is useful for understanding the overall composition and distribution of the database fleet.
list_fleet_health_issues This tool provides statistics about various health issues and signals detected across the database fleet. It helps in identifying the number of resources affected by different types of issues, categorized by signal types.
list_fleet_issues This tool provides a list of issues and recommendations that a user has access to and that are within the requested scope. Use this tool to identify specific database resources affected by health issues based on different categories like availability, data protection, security, performance and cost. It supports filtering issues by criteria such as product type, location, issue severity, tags, and labels. You can also apply filters for specific signal types and their associated products. The results can be sorted by signal type, product, location, or issue severity. If you need aggregated issue statistics instead of a list of individual issues, use the list_fleet_health_issues tool.
list_fleet_resource_groups This tool provides a list of database resource groups. A database resource group represents a collection of related database instances, such as a primary server and any read replicas. The tool supports powerful filtering on various attributes like location, product type, engine, tags, and labels, as well as sorting, enabling detailed exploration of your database fleet.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
                      curl --location 'https://databasecenter.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'